<?php
/*
Plugin Name: Australian Internet Blackout
Plugin URI: http://leefe.ratestheworld.com.au/dev/wp-plugin/australian-internet-blackout/
Description: Adds the Australian Internet Blackout layer to your blog
Version: 0.9
Author: Leefe Hicks
Author URI: http://leefe.ratestheworld.com.au/
*/
?>
<?php
/*  Copyright 2010  Leefe Hicks  (email : leefe@tengutech.net)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
?>
<?php
if (!class_exists("AustralianInternetBlackout")) {
    class AustralianInternetBlackout {
    
    	var $ver = "0.9";
    	var $aij_url ="http://www.internetblackout.com.au/ib/blackout.js";
    
        function AustralianInternetBlackout() { //constructor
        }
		
		function addHeaderCode() {
			echo("<!-- Australian Internet Blackout $this->ver -->\n");
			echo("<script type='text/javascript' src='$this->aij_url'></script>\n");
        }
	}

} //End Class AustralianInternetBlackout

// Create instance of class
if (class_exists("AustralianInternetBlackout")) {
    $aus_i_blackout = new AustralianInternetBlackout();
}

//Actions and Filters   
if (isset($aus_i_blackout)) {
    //Actions
	add_action('wp_head', array(&$aus_i_blackout, 'addHeaderCode'), 1);
   
    //Filters
}